Package fr.gouv.vitam.metadata.core.database.collections

# Class ObjectGroup

java.lang.Object
org.bson.Document
fr.gouv.vitam.common.database.server.mongodb.VitamDocument<ObjectGroup>
fr.gouv.vitam.metadata.core.database.collections.MetadataDocument<ObjectGroup>
fr.gouv.vitam.metadata.core.database.collections.ObjectGroup

All Implemented Interfaces:
  `Serializable`, `Map<String,Object>`, `org.bson.conversions.Bson`

public class ObjectGroup extends MetadataDocument<ObjectGroup>
ObjectGroup:

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `COPIES`
  Copies
  `static final String`
  `DATAOBJECTVERSION`
  DataObjectVersion
  `static final String`
  `MANAGEMENT_CONTRACT_ID_VERSION`
  Management Contract Id Version
  `static final String`
  `OBJECTDIGEST`
  Digest
  `static final String`
  `OBJECTDIGEST_TYPE`
  Digest Type
  `static final String`
  `OBJECTDIGEST_VALUE`
  Digest Value
  `static final String`
  `OBJECTFORMAT`
  Object format
  `static final String`
  `OBJECTID`
  Object UUID
  `static final String`
  `OBJECTSIZE`
  Object size
  `static final String`
  `OBJECTSTRATEHY`
  Storage Id
  `static final String`
  `OBJECTVERSION`
  Version
  `static final String`
  `OGDEPTHS`
  depths
  `static final String`
  `STORAGE`
  Storage Id
  `static final String`
  `USAGES`
  Usages
  `static final String`
  `VERSIONS`
  Versions
  `static final String`
  `VERSIONS_STORAGE`
  storage to objectGroup

  ### Fields inherited from class fr.gouv.vitam.metadata.core.database.collections.MetadataDocument

  `APPROXIMATE_CREATION_DATE, APPROXIMATE_UPDATE_DATE, ATOMIC_VERSION, BATCH_ID, ERRORS, GRAPH_LAST_PERSISTED_DATE, MANAGEMENT_CONTRACT_ID, NBCHILD, OG, OPI, OPS, ORIGINATING_AGENCIES, ORIGINATING_AGENCY, QUALIFIERS, TYPE, UNITUPS, UP, UPLOAD_PATH`

  ### Fields inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `ES_FILTER_OUT, ID, IMPLEMENTATIONVERSION, SCORE, SEDAVERSION, TENANT_ID, VERSION`

  ### Fields inherited from interface org.bson.conversions.Bson

  `DEFAULT_CODEC_REGISTRY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectGroup()`
  Empty constructor
  `ObjectGroup(com.fasterxml.jackson.databind.JsonNode content)`
  Constructor from Json
  `ObjectGroup(String content)`
  Constructor from Json as Text
  `ObjectGroup(org.bson.Document content)`
  Constructor from Document

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected com.mongodb.client.MongoCollection<ObjectGroup>`
  `getCollection()`
  `protected MetadataCollections`
  `getMetadataCollections()`
  `MetadataDocument<ObjectGroup>`
  `newInstance(com.fasterxml.jackson.databind.JsonNode content)`
  Make a new instance of the document with the given json

  ### Methods inherited from class fr.gouv.vitam.metadata.core.database.collections.MetadataDocument

  `checkId, getAtomicVersion, getCollectionOrEmpty, getId, getMapOrEmpty, getSp, getUp, setApproximateCreationDate, setApproximateUpdateDate, toStringDebug, toStringDirect`

  ### Methods inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `getConcernedDiffLines, getOriginalDiffLines, getTenantId, getUnifiedDiff, getVersion, toString`

  ### Methods inherited from class org.bson.Document

  `append, clear, containsKey, containsValue, entrySet, equals, get, get, get, getBoolean, getBoolean, getDate, getDouble, getEmbedded, getEmbedded, getInteger, getInteger, getList, getList, getLong, getObjectId, getString, hashCode, isEmpty, keySet, parse, parse, put, putAll, remove, size, toBsonDocument, toJson, toJson, toJson, toJson, values`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bson.conversions.Bson

  `toBsonDocument`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Field Details

  - ### USAGES

    public static final String USAGES
    Usages
    See Also:
      - Constant Field Values

  - ### STORAGE

    public static final String STORAGE
    Storage Id
    See Also:
      - Constant Field Values

  - ### VERSIONS

    public static final String VERSIONS
    Versions
    See Also:
      - Constant Field Values

  - ### DATAOBJECTVERSION

    public static final String DATAOBJECTVERSION
    DataObjectVersion
    See Also:
      - Constant Field Values

  - ### VERSIONS_STORAGE

    public static final String VERSIONS_STORAGE
    storage to objectGroup
    See Also:
      - Constant Field Values

  - ### OBJECTSTRATEHY

    public static final String OBJECTSTRATEHY
    Storage Id
    See Also:
      - Constant Field Values

  - ### OBJECTVERSION

    public static final String OBJECTVERSION
    Version
    See Also:
      - Constant Field Values

  - ### OBJECTID

    public static final String OBJECTID
    Object UUID
    See Also:
      - Constant Field Values

  - ### MANAGEMENT_CONTRACT_ID_VERSION

    public static final String MANAGEMENT_CONTRACT_ID_VERSION
    Management Contract Id Version
    See Also:
      - Constant Field Values

  - ### OBJECTSIZE

    public static final String OBJECTSIZE
    Object size
    See Also:
      - Constant Field Values

  - ### OBJECTFORMAT

    public static final String OBJECTFORMAT
    Object format
    See Also:
      - Constant Field Values

  - ### OBJECTDIGEST

    public static final String OBJECTDIGEST
    Digest
    See Also:
      - Constant Field Values

  - ### OBJECTDIGEST_VALUE

    public static final String OBJECTDIGEST_VALUE
    Digest Value
    See Also:
      - Constant Field Values

  - ### OBJECTDIGEST_TYPE

    public static final String OBJECTDIGEST_TYPE
    Digest Type
    See Also:
      - Constant Field Values

  - ### COPIES

    public static final String COPIES
    Copies
    See Also:
      - Constant Field Values

  - ### OGDEPTHS

    public static final String OGDEPTHS
    depths
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ObjectGroup

    public ObjectGroup()
    Empty constructor

  - ### ObjectGroup

    public ObjectGroup(com.fasterxml.jackson.databind.JsonNode content)
    Constructor from Json
    Parameters:
      `content` - the objectgroup of JsonNode format

  - ### ObjectGroup

    public ObjectGroup(org.bson.Document content)
    Constructor from Document
    Parameters:
      `content` - the objectgroup of Document format

  - ### ObjectGroup

    public ObjectGroup(String content)
    Constructor from Json as Text
    Parameters:
      `content` - the objectgroup of String format

- ## Method Details

  - ### getMetadataCollections

    protected MetadataCollections getMetadataCollections()
    Specified by:
      `getMetadataCollections` in class `MetadataDocument<ObjectGroup>`
    Returns:
      the associated VitamCollection

  - ### getCollection

    protected com.mongodb.client.MongoCollection<ObjectGroup> getCollection()
    Specified by:
      `getCollection` in class `MetadataDocument<ObjectGroup>`
    Returns:
      the associated collection

  - ### newInstance

    public MetadataDocument<ObjectGroup> newInstance(com.fasterxml.jackson.databind.JsonNode content)
    Description copied from class: `VitamDocument`
    Make a new instance of the document with the given json
    Specified by:
      `newInstance` in class `VitamDocument<ObjectGroup>`
    Parameters:
      `content` - document structure as json
    Returns:
      new document with the json as content